## Name

nmg_simplify — Attempts to convert an existing nmg_shape to a simpler primitive shape type.

## Synopsis

`nmg_simplify` [[arb] | [tgc] | [poly]] {`new_shape nmg_shape`}

## DESCRIPTION

Attempts to convert an existing nmg_shape to a simpler primitive shape type. The user may specify which type to attempt by including arb, tgc, or poly on the command line. If no shape type is specified, all will be attempted in the above order. If tgc is specified, the code will attempt to determine if the nmg_shape is an approximation of a TGC shape.

## EXAMPLES

The example shows the use of the nmg_simplify command to convert an existing nmg shape to a polysolid.

Example 1. Convert an existing shape to a polysolid.

`mged>``nmg_simplify poly shapea.poly shapea.nmg`

Converts the nmg shape named shapea.nmg to a polysolid named shapea.poly.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>, or via the "cadbug.sh" script.